uniform float strength;
varying vec3 normal, viewVec;
void main()
{
   float silhouette = max(dot(normalize(viewVec), normalize(normal)), 0.0);

   if (silhouette < strength)
      gl_FragColor = vec4(0.0,0.0,0.0,1.0);
   else
      gl_FragColor = vec4(1.0,1.0,1.0,1.0);

   gl_FragColor.a = 0.0;

}